org.apache.calcite.avatica.proto

## Interface Requests.OpenConnectionRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.OpenConnectionRequest, Requests.OpenConnectionRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.OpenConnectionRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsInfo(String key)` `map<string, string> info = 2;`
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`
`Map<String,String>` `getInfo()` Deprecated.
`int` `getInfoCount()` `map<string, string> info = 2;`
`Map<String,String>` `getInfoMap()` `map<string, string> info = 2;`
`String` `getInfoOrDefault(String key, String defaultValue)` `map<string, string> info = 2;`
`String` `getInfoOrThrow(String key)` `map<string, string> info = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`

#### getInfoCount

    int getInfoCount()

`map<string, string> info = 2;`

#### containsInfo

    boolean containsInfo(String key)

`map<string, string> info = 2;`

#### getInfo

    @Deprecated
    Map<String,String> getInfo()

Deprecated.
Use `getInfoMap()` instead.

#### getInfoMap

    Map<String,String> getInfoMap()

`map<string, string> info = 2;`

#### getInfoOrDefault

    String getInfoOrDefault(String key,
                            String defaultValue)

`map<string, string> info = 2;`

#### getInfoOrThrow

    String getInfoOrThrow(String key)

`map<string, string> info = 2;`